#2868 closed enhancement (fixed)

src/c/src/lib/libbsp/arm/smdk2410/smc/smc.c: 3 * pointless local variables ?

Reported by: David Binderman Owned by: Gedare Bloom <gedare@…>
Priority: lowest Milestone: 5.1
Component: arch/arm Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

[src/c/src/lib/libbsp/arm/smdk2410/smc/smc.c:235]: (style) Variable 'cnt1' is modified but its new value is never used.
[src/c/src/lib/libbsp/arm/smdk2410/smc/smc.c:243]: (style) Variable 'cnt2' is modified but its new value is never used.
[src/c/src/lib/libbsp/arm/smdk2410/smc/smc.c:246]: (style) Variable 'cnt3' is modified but its new value is never used.

$ egrep "cnt1|cnt2|cnt3" src/c/src/lib/libbsp/arm/smdk2410/smc/smc.c

uint32_t pblock, i, j, lblock, zone, count, cnt1, cnt2, cnt3;
cnt1 = 0;
cnt2 = 0;
cnt3 = 0;

cnt1++;

cnt2++;
cnt3++;

$

Maybe someone left some debug code in ?

Change History (4)

comment:1 Changed on Jan 19, 2017 at 6:00:50 PM by Gedare Bloom <gedare@…>

Owner: set to Gedare Bloom <gedare@…>
Resolution: fixed
Status: newclosed

In 3f09d6354899f032958cbc44e49c7ee99175df27/rtems:

smdk2410: delete unused variables

Closes #2868.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Oct 16, 2017 at 6:24:30 AM by Sebastian Huber

Component: unspecifiedarch/arm

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.